Class ListTransferJobsRequest (1.20.0)

ListTransferJobsRequest(mapping=None, *, ignore_unknown_fields=False, **kwargs)

projectId, jobNames, and jobStatuses are query parameters that can be specified when listing transfer jobs.

Attributes

Name Description
filter str
Required. A list of query parameters specified as JSON text in the form of: :: { "projectId":"my_project_id", "jobNames":["jobid1","jobid2",...], "jobStatuses":["status1","status2",...], "dataBackend":"QUERY_REPLICATION_CONFIGS", "sourceBucket":"source-bucket-name", "sinkBucket":"sink-bucket-name", } The JSON formatting in the example is for display only; provide the query parameters without spaces or line breaks. - projectId is required. - Since jobNames and jobStatuses support multiple values, their values must be specified with array notation. jobNames and jobStatuses are optional. Valid values are case-insensitive: - ENABLED][google.storagetransfer.v1.TransferJob.Status.ENABLED] - DISABLED][google.storagetransfer.v1.TransferJob.Status.DISABLED] - DELETED][google.storagetransfer.v1.TransferJob.Status.DELETED] - Specify "dataBackend":"QUERY_REPLICATION_CONFIGS" to return a list of cross-bucket replication jobs. - Limit the results to jobs from a particular bucket with sourceBucket and/or to a particular bucket with sinkBucket.
page_size int
The list page size. The max allowed value is 256.
page_token str
The list page token.